## org.apache.catalina.util.xml
Class XmlAction

    java.lang.Object
      |
      +--org.apache.catalina.util.xml.XmlAction

public abstract class XmlAction
extends java.lang.Object

Each rule in Xml Mapper can invoke certain actions. An action implementation will be notified for each matching rule on start and end of the tag that matches. After all end actions are called, a special cleanup call will allow actions to remove temporary data.

Constructor Summary
`XmlAction()`

Method Summary
`void` `cleanup(SaxContext ctx)`
`void` `end(SaxContext ctx)`
`void` `start(SaxContext ctx)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlAction

    public XmlAction()

Method Detail

### start

    public void start(SaxContext ctx)
               throws java.lang.Exception

    `java.lang.Exception`

### end

    public void end(SaxContext ctx)
             throws java.lang.Exception

    `java.lang.Exception`

### cleanup

    public void cleanup(SaxContext ctx)
                 throws java.lang.Exception

    `java.lang.Exception`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.